/****************************************************************************************
 * KF8A系列单片机	KF8A100GQT_DEMO	开发板演示程序
 * 标    题: 输出比较实验
 * 项目名: 06- CCP_COMPARE_Sample
 * 开发环境：ChipON IDE
 * 版          本     ：V1.0 (2019/08/10)
 * 作 者: 上海芯旺微电子有限公司
 * 功能简述：测试输出比较功能
 * 硬件说明：无
 ****************************************************************************************/
#include "includes.h"

void delay_ms(uint16 num)
{
	uint16 i,j;
	for(i=0;i<num;i++)
	{
		j=1000;
		while(j--);
	}
}

void SYS_Init(void)
{
	//使用外部晶振时，引脚配置输入，配置字选择外部时钟且允许切换
	SCLKCTL = SYSYCLK_SEL_SCKS|SYSCLK_SCLK_SEL_INTHF|SYSCLK_FREQ_DIV1;	//INTHF作为主时钟
	_NOP();_NOP();	//高速时钟稳定
//	PLLEN=0;
//	PLLCTL = PLL_SEL_DIV1|PLL_SEL_INTHF|PLLBIAS_CUR_MIN|PLLPMUL_4;
//	PLLEN=1;
//	delay_ms(200);
//	SCLKCTL|=SYSYCLK_SEL_SCKS|SYSCLK_SCLK_SEL_UPCK;		//UPCK作为主时钟	64M
	SCLKOE = 0;		//机器周期禁能输出,输出波形与IO翻转速率相关
	CLKOUTSEL = 0;
	HFCKCTL = 0xCE;	//外设时钟开启,选择INTHF为HFCLK时钟信号

	TR0 = 0;	TR1	= 0;	TR2	= 0;	TR3 = 0;
	TR4 = 0;	TR5 = 0;	TR6 = 0;	TR7 = 0;
	TR9 = 0;	TRA = 0;	TRB = 0;
	P0LR = 0;	P1LR = 0;	P2LR = 0;	P3LR = 0;
	P4LR = 0;	P5LR = 0;	P6LR = 0;	P7LR = 0;
	P9LR = 0;	PALR = 0;	PBLR = 0;
}


void main()
{
	SYS_Init();
//	Timer1_Init();
//	CCP2_Configuration_Compare();
//	CCP5_Configuration_Compare();
//	CCP8_Configuration_Compare();
//	CCP9_Configuration_Compare();
	CCP10_Configuration_Compare();

	//总中断开启
	AIE=1;
	PUIE=1;

	while(1)
	{

	}
}
//中断函数0:0X04入口地址
void int_fun0() __interrupt (0)
{
//	if(CCP2IF && CCP2IE)
//	{
//		T2H=0;T2L=0;
//		CCP2IF = 0;
//		P5LR3=!P5LR3;
//	}
//	if((EIE5 & 0X10) && (EIF5 & 0x10))//CCP5IE&CCP5IF
//	{
//		T5H=0;T5L=0;
//		EIF5&=0xEF;
//	}
//	if((EIE8 & 0x01) && (EIE8 & 0x01))//CCP8IE&CCP8IF
//	{
//		T1H=0;T1L=0;
//		EIF8&=0xFE;
//	}
//	if( CCP9IE && CCP9IF)//CCP9IE&CCP9IF
//	{
//		T1H=0;T1L=0;
//		CCP9IF=0;
//		P5LR3=!P5LR3;
//	}
	if((EIE8 & 0x04) && (EIF8 & 0x04))//CCP10IE&CCP10IE
	{
		T1H=0;T1L=0;
		EIF8&=0xFB;
	}


}


//中断函数1:0x14入口地址
void int_fun1() __interrupt (1)
{

}
